Package org.eclipse.mat.query.results

# Class DisplayFileResult

java.lang.Object
org.eclipse.mat.query.results.DisplayFileResult

All Implemented Interfaces:
  `IResult`

public class DisplayFileResult extends Object implements IResult
Used to display an external file as a report. An example might be a saved HTML report.

## Constructor Summary

Constructors
Constructor
Description
`DisplayFileResult(File file)`
Create a report from a saved report file

## Method Summary

Modifier and Type
Method
Description
`File`
`getFile()`
Get the file used to generate this report.
`ResultMetaData`
`getResultMetaData()`
Get the meta data
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DisplayFileResult

public DisplayFileResult(File file)
Create a report from a saved report file

Parameters:
  `file` - the file

## Method Details

### getResultMetaData

public ResultMetaData getResultMetaData()
Get the meta data

Specified by:
  `getResultMetaData` in interface `IResult`
Returns:
  null

### getFile

public File getFile()
Get the file used to generate this report.

Returns:
  the file

### toString

public String toString()

Overrides:
  `toString` in class `Object`